
<!DOCTYPE html>
<html>

<head>

	
	<title>HTML Forms</title>

	
</head>

<body>

	<header>

	<h1>HTML Forms</h1>

	<p><em>Input elements that make up a form.</em></p>

</header>

	<main>

	<form action="https://www.google.com/" method="POST">

		<label for="full-name">Full Name:</label>

		<!-- Accepts text input -->

		<input type="text" name="full_name" id="full-name">

		<br>

		<!-- Accepts date input -->

		<label for="birth-date">Birthday</label>

		<input type="date" name=birth_date id="birth-date">

		<br>

		<!-- Accepts number -->

		<label for="age">Age:</label>

		<input type="number" name="age" id="age">

		<br>

		<!-- Accepts input from a list of option through dropdown-->

		<label for="gender">Gender:</label>

		<select name="gender" id="gender">

			<option value="male">Male</option>

			<option value="female">Female</option>

		</select>

		<br>

		<!-- Accepts a large text input -->
		<label for="notes">Notes:</label>

		<textarea name="notes" id="notes"></textarea>

		<br>

		<!-- Accepts input from a list of option with one choice only -->
		
		<label for>
		
		Yes <input type="radio" name="new_user" id="user-type1" value="Yes">

		</label>
		
		<label for>
		
		No <input type="radio" name="new_user" id="user-type2" value="No">

		</label>

		<br>

		<!-- Accepts input from a list of options with multiple choice -->

		<label>Developer</label>

		<input type="checkbox" name="role1" id="role1" value="developer">

		<label>Designer</label>

		<input type="checkbox" name="role2" id="role2" value="designer">

		<label>Manager</label>

		<input type="checkbox" name="role3" id="role3" value="manager">

		<input type="submit" value="Submit">

	</form>
	
	</main>
</body>

</html>